"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ui_1 = require("@teambit/ui");
const moment_1 = __importDefault(require("moment"));
exports.report = ([uiRootName, userPattern], { dev, port, rebuild }, ui, logger, pubsub) => __awaiter(void 0, void 0, void 0, function* () {
    const pattern = userPattern && userPattern.toString();
    ui.createRuntime({
        uiRootName,
        pattern,
        dev,
        port: port ? parseInt(port) : undefined,
        rebuild,
    });
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    return new Promise((resolve, reject) => {
        pubsub.sub(ui_1.UIAspect.id, (event) => {
            if (event.type === ui_1.UiServerStartedEvent.TYPE) {
                logger.console(`
${moment_1.default().format('HH:mm:ss')} - You can now view teambit.harmony-review components in the browser 
Main UI server is running on http://${event.data.targetHost}:${event.data.targetPort}
        `);
            }
        });
    });
});
//# sourceMappingURL=report.js.map